### File

`packages/eui/packages/components-next/src/lib/components/eui-list/eui-list.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `[euiList], eui-list`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-list.component.html`

### Index

###### Properties
_isCollapsible
###### Inputs
isCollapsible
###### HostBindings
attr.role class
###### Accessors
isCollapsible

### Constructor

`constructor(euiListService: EuiListService)`
Parameters :
Name | Type | Optional
euiListService | `EuiListService` | No

### Inputs

isCollapsible

### HostBindings

attr.role
Default value : `'list'`

class

### Properties

_isCollapsible
Default value : `false`

### Accessors

isCollapsible
set `isCollapsible(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""